Package picard.vcf

## Class GenotypeConcordance.Alleles

- java.lang.Object
- - picard.vcf.GenotypeConcordance.Alleles

- Enclosing class:
    GenotypeConcordance

      protected static class GenotypeConcordance.Alleles
      extends Object

  A simple structure to return the results of getAlleles. NB: truthAllele1/2 and callAllele1/2 may be null if no first or second allele was present respectively.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `picard.vcf.OrderedSet<String>` | `allAlleles` |
    `String` | `callAllele1` |
    `String` | `callAllele2` |
    `String` | `truthAllele1` |
    `String` | `truthAllele2` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Alleles​(picard.vcf.OrderedSet<String> allAlleles, String truthAllele1, String truthAllele2, String callAllele1, String callAllele2)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<htsjdk.variant.variantcontext.Allele>` | `asList()` |
    `List<htsjdk.variant.variantcontext.Allele>` | `callAlleles()` |
    `List<htsjdk.variant.variantcontext.Allele>` | `truthAlleles()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allAlleles

          public final picard.vcf.OrderedSet<String> allAlleles

    - #### truthAllele1

          public final String truthAllele1

    - #### truthAllele2

          public final String truthAllele2

    - #### callAllele1

          public final String callAllele1

    - #### callAllele2

          public final String callAllele2

  - ### Constructor Detail

    - #### Alleles

          public Alleles​(picard.vcf.OrderedSet<String> allAlleles,
                         String truthAllele1,
                         String truthAllele2,
                         String callAllele1,
                         String callAllele2)

  - ### Method Detail

    - #### asList

          public List<htsjdk.variant.variantcontext.Allele> asList()

    - #### truthAlleles

          public List<htsjdk.variant.variantcontext.Allele> truthAlleles()

    - #### callAlleles

          public List<htsjdk.variant.variantcontext.Allele> callAlleles()